Package com.meterware.servletunit

# Interface InvocationContextFactory

public interface InvocationContextFactory
An interface for an object which acts as a factory of InvocationContexts

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`javax.servlet.http.HttpSession`
`getSession(String sessionId, boolean create)`
Returns the session with the specified ID; if none exists or the session is invalid, will create a new session if the create flag is true.
`InvocationContext`
`newInvocation(ServletUnitClient client, FrameSelector targetFrame, WebRequest request, Dictionary clientHeaders, byte[] messageBody)`
Creates and returns a new invocation context to test calling of servlet methods.

## Method Details

### newInvocation

InvocationContext newInvocation(ServletUnitClient client, FrameSelector targetFrame, WebRequest request, Dictionary clientHeaders, byte[] messageBody) throws IOException, MalformedURLException
Creates and returns a new invocation context to test calling of servlet methods.

Throws:
  `IOException`
  `MalformedURLException`

### getSession

javax.servlet.http.HttpSession getSession(String sessionId, boolean create)
Returns the session with the specified ID; if none exists or the session is invalid, will create a new session if the create flag is true.